Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid
Class GridDragData

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.dd.DragData
              com.gwtext.client.widgets.grid.GridDragData

    public class GridDragData

extends com.gwtext.client.dd.DragData

An implementation of DragData that is passed to the drop target when the source is a TreeNode from a Draggable tree.

See Also:
  `TreePanelListener.doBeforeNodeDrop(com.gwtext.client.widgets.tree.TreePanel , com.gwtext.client.widgets.tree.TreeNode , com.gwtext.client.dd.DragData, String, com.gwtext.client.dd.DragDrop, com.gwtext.client.widgets.tree.TreeNode , com.gwtext.client.widgets.tree.DropNodeCallback)`, `TreePanelListener.onNodeDrop(com.gwtext.client.widgets.tree.TreePanel , com.gwtext.client.widgets.tree.TreeNode , com.gwtext.client.dd.DragData, String, com.gwtext.client.dd.DragDrop, com.gwtext.client.widgets.tree.TreeNode)`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`GridDragData(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`GridPanel` | `getGrid()` The source GridPanel.
`int` | `getRowIndex()` The row index.
`Record[]` | `getSelections()` The rows selected in the source GridPanel.

Methods inherited from class com.gwtext.client.dd.DragData
`getDDEl, getProperty, getPropertyAsBoolean, getPropertyAsElement, getPropertyAsInt, getPropertyAsJavaScriptObject`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridDragData

    public GridDragData(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getGrid

    public GridPanel getGrid()

  The source GridPanel.

  Returns:
    the source GridPanel

### getSelections

    public Record[] getSelections()

  The rows selected in the source GridPanel.

  Returns:
    the selected rows

### getRowIndex

    public int getRowIndex()

  The row index.

  Returns:
    the row index

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD